> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the status and configuration for the specified job



## OpenAPI

````yaml /api-reference/4.2/service-jobs.json get /jobs/{resource}
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service jobs
servers:
  - url: /api/apollo/
security: []
tags:
  - name: jobs
paths:
  /jobs/{resource}:
    get:
      tags:
        - 4.2 Jobs API
      summary: Get the status and configuration for the specified job
      operationId: getJob
      parameters:
        - name: resource
          in: path
          description: The job ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: successful operation
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/JobView'
components:
  schemas:
    JobView:
      type: object
      properties:
        resource:
          $ref: '#/components/schemas/FusionResource'
        enabled:
          type: boolean
          readOnly: true
          default: false
        startedBy:
          type: string
          readOnly: true
        status:
          type: string
          readOnly: true
        extra:
          type: object
          readOnly: true
          additionalProperties:
            type: object
        lastStartTime:
          type: string
          format: date-time
          readOnly: true
        lastEndTime:
          type: string
          format: date-time
          readOnly: true
        nextStartTime:
          type: string
          format: date-time
          readOnly: true
    FusionResource:
      type: object
      properties:
        type:
          type: string
          enum:
            - APPKIT_APP
            - WEBAPP_ADMIN_APP
            - APP
            - COLLECTION
            - INDEX_PIPELINE
            - INDEX_STAGE
            - QUERY_STAGE
            - QUERY_PIPELINE
            - INDEX_PROFILE
            - QUERY_PROFILE
            - BLOB
            - PARSER
            - DATASOURCE
            - TASK
            - SCHEDULE
            - SEARCH_CLUSTER
            - EXPERIMENT
            - SPARK_JOB
            - GROUP
            - CUSTOM_RULE_TYPE
            - TYPE
            - RESOURCE
            - 'NULL'
        id:
          type: string
        canonicalName:
          type: string
        uri:
          type: string
          format: uri

````